OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- dark_water : ExtraPaletteValues
- dark_water_toyland : ExtraPaletteValues
- Data() : CBlobT< T >
- data : Blitter_8bppOptimized::SpriteData , CBinaryHeapT< T > , ByteBlob , SmallStackSafeStackAlloc< T, length > , FixedSizeArray< T, C > , NetworkHTTPSocketHandler
- Data() : CBlobT< T >
- data : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , NetworkHTTPContentConnecter , AllowedSubtags , SmallMatrix< T > , GRFError , OutputBuffer
- Data() : CBlobT< T >
- data : SmallVector< T, S > , Sprite , SpriteLoader::Sprite , LoggedChange , StringReader , StringParameters , Blitter_32bppOptimized::SpriteData , Colour , TileMatrix< T, N > , NWidgetPartDataTip , SmallArray< T, B, N >
- data_tip : NWidgetPart
- date : NewsItem , ScriptInfo , StoryPage , SetDateWindow
- date_format_in_default_names : GUISettings
- date_of_last_service : Vehicle
- date_width : MessageHistoryWindow
- day : YearMonthDay
- day_counter : Vehicle
- days_in_transit : CargoPacket
- DaysInTransit() : CargoPacket , CargoList< Tinst, Tcont >
- debugbox_dimension : NWidgetLeaf
- DebugCheckSanity() : OrderList
- DecIndustryTypeCount() : Industry
- decode_params : ErrorMessageData , DropDownListParamStringItem
- DecreaseOps() : Squirrel
- DecTypeCount() : Object
- dedicated : NetworkGameInfo
- dedicated_host : AfterNewGRFScan
- dedicated_port : AfterNewGRFScan
- def : SettingDescBase
- def_value : GRFParameterInfo
- default_colour : SmallMapColourScheme
- default_company_pass : NetworkSettings
- default_compression : SaveLoadFormat
- default_height_trad : WindowDesc
- default_pos : WindowDesc
- default_rail_type : GUISettings
- default_scope : ResolverObject
- default_signal_type : GUISettings
- default_width_trad : WindowDesc
- defaultcargo_grf : GRFTempEngineData
- DefaultSize() : MissingGlyphSearcher , TextfileWindow
- defsizebox_dimension : NWidgetLeaf
- DefSQAdvancedMethod() : DefSQClass< CL, ST >
- DefSQAdvancedStaticMethod() : DefSQClass< CL, ST >
- DefSQMethod() : DefSQClass< CL, ST >
- DefSQStaticMethod() : DefSQClass< CL, ST >
- delay : ScriptStorage
- Delete() : BinaryHeap , Hash
- delete_ctr : BaseStation
- DeleteAll() : Textbuf
- DeleteChar() : Textbuf
- DeleteChildWindows() : Window
- DeleteFlows() : FlowStatMap
- DeleteOrderAt() : OrderList
- DeleteText() : Textbuf
- DeleteUnreachedImplicitOrders() : Vehicle
- DeleteValue() : Hash
- delivered_cargo : CompanyEconomyEntry
- DeliverSupply() : LinkGraphJob::Node
- delta : CursorVars
- delta_x : DrawTileSeqStruct
- delta_z : AirportFTAClass , DrawTileSeqStruct
- Demand() : LinkGraph::NodeWrapper< Tnode, Tedge > , LinkGraphJob::Edge
- demand : LinkGraph::BaseNode , LinkGraphJob::EdgeAnnotation
- demand_distance : LinkGraphSettings
- demand_per_node : SymmetricScaler
- demand_size : LinkGraphSettings
- DemandCalculator() : DemandCalculator
- deparr_abbr_width : TimetableWindow
- deparr_time_width : TimetableWindow
- departure : TimetableArrivalDeparture
- dependencies : ContentInfo
- dependency_count : ContentInfo
- depot : RailtypeInfo
- depot_table : AirportSpec
- DepotClick() : DepotWindow
- depth : NetworkHTTPContentConnecter
- desc : GRFParameterInfo , SettingDesc
- descender : FontCache
- descending_sort_order : ReplaceVehicleWindow , BuildVehicleWindow
- description : BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , DriverFactoryBase , ContentInfo , ScriptConfigItem , ScriptInfo , PluralForm
- dest : NetworkChatWindow , Order
- dest_coords : NPFFindStationOrTileData
- dest_scrollpos_x : ViewportData
- dest_scrollpos_y : ViewportData
- dest_string : NetworkChatWindow
- dest_tile : Vehicle
- destination : CargoMovement< Tsource, Tdest >
- Destroy() : SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size > , PacketWriter
- Detach() : Path , CCountedPtr< Tcls_ > , CHashTableSlotT< Titem_ >
- detail_ftype : FileToSaveLoad
- detailed_msg : ErrorMessageData
- details_height : ReplaceVehicleWindow , BuildVehicleWindow
- DetermineBestSet() : BaseMedia< Tbase_set >
- DetermineCapacity() : Engine
- developer : GUISettings
- device_depth : CocoaSubdriver
- device_height : CocoaSubdriver
- device_width : CocoaSubdriver
- diagonal : TileHighlightData
- DiagonalTileArea() : DiagonalTileArea
- DiagonalTileIterator() : DiagonalTileIterator
- Died() : ScriptInstance
- difficulty : GameSettings
- digit_decimal_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator_currency : LanguagePackHeader , LocaleSettings
- Dijkstra() : MultiCommodityFlow
- dir : HangarTileTable , RoadStopEntryRebuilderHelper , ScriptFileChecksumCreator
- direction : AirportMovingData , Vehicle
- dirname : File
- dirty : CursorVars , TileHighlightData
- dirty_rects : CocoaSubdriver
- dirty_tiles : TerraformerState
- DirtyHighlightedGroupWidget() : VehicleGroupWindow
- disable_elrails : VehicleSettings
- disable_node_optimization : YAPFSettings
- disable_unsuitable_building : GUISettings
- DisableAllWidgetHighlight() : Window
- DisableWidget() : Window
- disallowed_lengths : StationSpec
- disallowed_platforms : StationSpec
- disaster : SoundSettings
- disasters : DifficultySettings
- DisasterVehicle() : DisasterVehicle
- DiscardMarkedText() : Textbuf
- disp_flags : NWidgetCore
- display_time : AnimCursor
- DisplayCrashDialog() : CrashLogOSX
- displayed_actions_on_previous_painting : TownAuthorityWindow
- displayed_rows : StationViewWindow
- DisplayPane : OrdersWindow
- dist_local_authority : EconomySettings
- distance : Path
- DistanceAnnotation() : DistanceAnnotation
- distant_join_stations : StationSettings
- distribution_armoured : LinkGraphSettings
- distribution_default : LinkGraphSettings
- distribution_mail : LinkGraphSettings
- distribution_pax : LinkGraphSettings
- do_reserve : FinalizeRefitAction
- dock_tile : Station
- DoCommandCallback() : ScriptInstance
- DoCommandReturn() : ScriptInstance
- DoCommandReturnGoalID() : ScriptInstance
- DoCommandReturnGroupID() : ScriptInstance
- DoCommandReturnSignID() : ScriptInstance
- DoCommandReturnStoryPageElementID() : ScriptInstance
- DoCommandReturnStoryPageID() : ScriptInstance
- DoCommandReturnVehicleID() : ScriptInstance
- dodraw : TileLayoutRegisters
- DOES_NOT_EXIST : ContentInfo
- DoRestore() : OrderBackup
- DoScan() : TarScanner , GRFFileScanner
- DoUpdateSpeed() : GroundVehicle< T, Type >
- DownloadContentInfo() : ClientNetworkContentSocketHandler
- downloaded_bytes : BaseNetworkContentDownloadStatusWindow
- downloaded_files : BaseNetworkContentDownloadStatusWindow
- DownloadSelectedContent() : ClientNetworkContentSocketHandler
- DownloadSelectedContentFallback() : ClientNetworkContentSocketHandler
- DownloadSelectedContentHTTP() : ClientNetworkContentSocketHandler
- DP_BOTTOM_MIDDLE_DELETE : OrdersWindow
- DP_BOTTOM_MIDDLE_STOP_SHARING : OrdersWindow
- DP_GROUNDVEHICLE_ROW_CONDITIONAL : OrdersWindow
- DP_GROUNDVEHICLE_ROW_NORMAL : OrdersWindow
- DP_LEFT_LOAD : OrdersWindow
- DP_LEFT_REFIT : OrdersWindow
- DP_MIDDLE_SERVICE : OrdersWindow
- DP_MIDDLE_UNLOAD : OrdersWindow
- DP_RIGHT_EMPTY : OrdersWindow
- DP_RIGHT_REFIT : OrdersWindow
- DP_ROW_CONDITIONAL : OrdersWindow
- DP_ROW_DEPOT : OrdersWindow
- DP_ROW_LOAD : OrdersWindow
- dparam : TileDesc
- drag_signals_density : GUISettings
- drag_signals_fixed_distance : GUISettings
- Draw() : NWidgetPIPContainer , NWidgetMatrix , NWidgetSpacer , NWidgetBackground , NWidgetViewport , NWidgetScrollbar , NWidgetLeaf , NWidgetStacked , NWidgetNewGRFDisplay , NWidgetSmallmapDisplay , Blitter_32bppSimple , Blitter_32bppAnim , Blitter_32bppOptimized , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter , Blitter_Null , CargoesField , LinkGraphOverlay , NWidgetServerListHeader , BaseSettingEntry , SettingsContainer , SettingsPage , NWidgetToolbarContainer , CocoaSubdriver , NWidgetBase
- draw_size : CursorVars
- draw_tile_proc : TileTypeProcs
- DrawAcceptedCargo() : StationViewWindow
- DrawActionElement() : StoryBookWindow
- DrawCargoRatings() : StationViewWindow
- DrawColourMappingRect() : Blitter_32bppAnim , Blitter_32bppSimple , Blitter_8bppBase , Blitter_Null , Blitter
- DrawContent() : LinkGraphOverlay
- DrawCountLine() : CompanyInfrastructureWindow
- DrawDetails() : NetworkContentListWindow
- DrawEntries() : StationViewWindow
- DrawFaceStringLabel() : SelectCompanyManagerFaceWindow
- DrawGraph() : BaseGraphWindow
- DrawGroupInfo() : VehicleGroupWindow
- DrawHorConnection() : CargoesField
- DrawHorizMapIndicator() : SmallMapWindow
- DrawInfo() : IndustryViewWindow
- DrawLine() : Blitter_Null , Blitter
- DrawLinks() : LinkGraphOverlay
- DrawListColumn() : GoalListWindow
- DrawMapIndicators() : SmallMapWindow
- DrawMatrix() : NetworkContentListWindow
- DrawPartialGoalList() : GoalListWindow
- DrawRatings() : TownAuthorityWindow
- DrawRect() : Blitter_8bppBase , Blitter_32bppBase , Blitter , Blitter_32bppAnim , Blitter_Null
- DrawServerLine() : NetworkGameWindow
- DrawSetting() : SettingsPage , SettingEntry
- DrawSignalSprite() : BuildSignalWindow
- DrawSmallMap() : SmallMapWindow
- DrawSmallMapColumn() : SmallMapWindow
- DrawSortButtonState() : Window
- DrawStationDots() : LinkGraphOverlay
- drawstyle : TileHighlightData
- DrawTowns() : SmallMapWindow
- DrawVehicleDetails() : VehicleDetailsWindow
- DrawVehicleInDepot() : DepotWindow
- DrawVehicleListItems() : BaseVehicleListWindow
- DrawVehicles() : SmallMapWindow
- DrawVertex() : LinkGraphOverlay
- DrawVertMapIndicator() : SmallMapWindow
- DrawViewport() : Window
- DrawWidget() : BuildTreesWindow , AIListWindow , GenerateProgressWindow , NetworkLobbyWindow , PerformanceRatingDetailWindow , SmallMapWindow , BootstrapBackground , SelectStationWindow< T > , GameSettingsWindow , VehicleListWindow , NewGRFWindow , DropdownWindow , TownAuthorityWindow , StoryBookWindow , NewsWindow , SignListWindow , SaveLoadWindow , ScenarioEditorLandscapeGenerationWindow , SelectCompanyLiveryWindow , CheatWindow , OskWindow , TimetableWindow , PaymentRatesGraphWindow , BuildRoadDepotWindow , BuildRailDepotWindow , ScanProgressWindow , QueryWindow , SelectGameWindow , GameOptionsWindow , TownDirectoryWindow , OrdersWindow , BuildSignalWindow , SpriteAlignerWindow , NetworkClientListPopupWindow , MusicWindow , NetworkChatWindow , VehicleDetailsWindow , NetworkJoinStatusWindow , GraphLegendWindow , BuildObjectWindow , BuyCompanyWindow , VehicleGroupWindow , AISettingsWindow , SavePresetWindow , BuildRailStationWindow , NewGRFParametersWindow , NetworkGameWindow , NetworkStartServerWindow , BuildBridgeWindow , RefitWindow , BuildRoadStationWindow , VehicleViewWindow , MusicTrackSelectionWindow , MessageHistoryWindow , TextfileWindow , BuildAirportWindow , LandInfoWindow , NetworkClientListWindow , ScenarioEditorToolbarWindow , TownViewWindow , IndustryDirectoryWindow , AIDebugWindow , AIConfigWindow , BuildVehicleWindow , BaseGraphWindow , BuildIndustryWindow , Window , DepotWindow , EnginePreviewWindow , ReplaceVehicleWindow , StatusBarWindow , BuildRailWaypointWindow , GoalQuestionWindow , CompanyLeagueWindow , SubsidyListWindow , SelectCompanyManagerFaceWindow , TransparenciesWindow , CompanyStationsWindow , GenerateLandscapeWindow , ErrmsgWindow , CompanyWindow , CompanyFinancesWindow , CompanyInfrastructureWindow , IndustryCargoesWindow , LinkGraphLegendWindow , TooltipsWindow , AboutWindow
- DrawWidgets() : Window
- DriverFactoryBase() : DriverFactoryBase
- Drivers : DriverFactoryBase
- dropdown_dimension : NWidgetLeaf
- DropdownWindow() : DropdownWindow
- dst : Blitter::BlitterParams , Goal , Subsidy
- dst_industry : GenericScopeResolver
- dst_type : Subsidy
- DT_BEGIN : Driver
- DT_END : Driver
- DT_MUSIC : Driver
- DT_SOUND : Driver
- DT_VIDEO : Driver
- dtype : NetworkChatWindow
- dummy : AirportSpec
- dummy1 : Cheats
- dummy2 : Cheats
- dummy3 : Cheats
- dummy_parameter_info : NewGRFParametersWindow
- DummyConstructor() : AIInfo
- Dump() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , SmallArray< T, B, N >
- dumper : SaveLoadParams
- duplicate : FreeTypeFontCache::GlyphEntry
- duplicate_sets : BaseMedia< Tbase_set >
- duration : TextEffect , ErrorMessageData , NewsWindow
- duration_phase_1 : Engine
- duration_phase_2 : Engine
- duration_phase_3 : Engine
- dynamic_engines : VehicleSettings